
<div class="w-100 d-flex justify-content-between">
  <% if (locals.view=='table' ) { %>
    <h3>Ongoing exams table view (switch to <a href="?view=cards">cards view</a>): </h3>
  <%} else {%>
    <h3>Ongoing exams cards view (switch to <a href="?view=table">table view</a>): </h3>
  <%}%>
  <div>
    <button id="watch-plag-test" class="btn btn-primary">
      <i class="fas fa-tachometer-alt"></i> &nbsp;RT plagiarism (whole test)
    </button>
    <button id="watch-plag-question" class="btn btn-warning"> 
      <i class="fas fa-tachometer-alt"></i> &nbsp;RT plagiarism (per question)
    </button>

    <% if (locals.publicStalkUrl) { %>
      <div>
        <i title="Anonymous stalk enabled!" class="mr-2 fas fa-eye"></i>
        This test has public URL enabled: <a href="<%-locals.publicStalkUrl%>" target="_blank">
          <%-locals.publicStalkUrl%>
        </a>
      </div>
      <%} %>
  </div>
</div>

<% if (locals.view=='table' ) { %>


  <% locals.tabledata=students; %>
    <%- include(`${locals.partialsRoot}/table`) %>



      <%} else {%>

        <ul class="nav nav-tabs" role="tablist">
          <%for (i=0; locals.rooms && i < rooms.length; ++i) { %>
            <li class="nav-item">
              <a class="nav-link <%= (i===0) ? 'active' : '' %>" role="tab" data-toggle="tab" href="#tab<%=i%>">
                <%=rooms[i]%>
              </a>
            </li>
            <% } %>
        </ul>

        <div class="tab-content">
          <%for (j=0; locals.rooms && j < rooms.length; ++j) { %>
            <div role="tabpanel" class="tab-pane <%= (j===0) ? 'active' : '' %>" id="tab<%=j%>">

              <div class="w-100 d-flex flex-wrap">

                <%for (i=0; locals.rs && i < rs.length; ++i) { %>
                  <% if (rs[i].room===rooms[j]) { %>
                    <div style="font-size: 11px;"
                      class="d-flex justify-content-around flex-column p-1 m-1 border  rounded <%- (rs[i].hbColor=='red' ) ? 'border-info' : 'border-dark bg-light' %>">
                      <div class="d-flex">
                        <div class="px-1">
                          <%- rs[i].imgHtml %>
                        </div>
                        <div class="w-100">
                          <div class="d-flex justify-content-between">
                            <strong>Name:</strong>
                            <%= rs[i].full_name %>
                          </div>
                          <div class="d-flex justify-content-between">
                            <strong>IP:</strong>
                            <%= rs[i].ip_address %>
                          </div>
                          <div class="d-flex justify-content-between">
                            <strong>Started:</strong>
                            <%= rs[i].ts_started %>
                          </div>
                          <div class="d-flex justify-content-between">
                            <strong>Duration:</strong>
                            <%= rs[i].duration %>
                          </div>
                          <div class="d-flex flex-wrap justify-content-between">
                            <div>
                              <strong>Hbs<i class="fa fa-heart" aria-hidden="true"
                                  style="color:<%- rs[i].hbColor %>"></i>:</strong>
                              <%= rs[i].hbCount %>
                            </div>
                            <div>
                              <strong> Ago: </strong>
                              <%= rs[i].lastHbAgo %>
                            </div>
                            <div>
                              <strong>Progress:</strong>
                              <%= rs[i].progress %>
                            </div>
                          </div>
                        </div>
                      </div>

                      <% if (rs[i].lfs) { %>
                        <div
                          class="w-100 mt-1 mb-1 d-flex flex-wrap justify-content-between border border-dark rounded bg-warning">
                          <div title="Lost focus count">
                            <strong>Count: </strong>
                            <%= rs[i].lfs %>
                          </div>
                          <div class="px-1" title="Lost focus total">
                            <strong>Sum: </strong>
                            <%= rs[i].lfsTotal %>
                          </div>
                          <div class="px-1" title="Lost focus maximum">
                            <strong>Max: </strong>
                            <%= rs[i].lfsMax %>
                          </div>
                          <!-- <div class="px-1" title="Lost focus average">
                          <strong>Avg: </strong>
                          <%= rs[i].lfsAvg %>
                        </div> -->
                          <% if (rs[i].lfsOn) { %>
                            <div class="w-100 d-flex justify-content-center">
                              <strong>
                                Still open from <%= rs[i].lfsOn %> ago...
                              </strong>
                            </div>
                            <% } %>
                        </div>

                        <% } %>

                          <%if (locals.fullView) {%>
                            <div class="d-flex justify-content-center">
                              <div>
                                <a href="/test/instances/stalk/id/<%-rs[i].id_test_instance%>"
                                  class="btn btn-outline-success" role="button" target="_blank">Stalk</a>
                              </div>
                              <div>
                                <form
                                  action="/test/<%=rs[i].id_test%>/ongoinginstances/delete/<%=rs[i].id_test_instance%>"
                                  method="POST">
                                  <button edgar_confirm_text="Do you really want to delete this exam instance?"
                                    class="btn btn-outline-danger" type="submit">Delete</button>
                                </form>
                              </div>
                            </div>
                            <%}%>
                    </div>
                    <% } %>
                      <% } %>

              </div>

            </div>
            <% } %>
        </div>
        <%}%>

<script>
  let questions = <%- JSON.stringify(locals.questions) %>;
  let id_plag_method = <%- JSON.stringify(locals.id_plag_method) %>;
  if (id_plag_method == null) {
    $('#watch-plag-test').prop('disabled', true);
		$('#watch-plag-question').prop('disabled', true);
  }

  $("#watch-plag-test").click(function () {
    window.open('/test/instances/plagiarism/test/<%= locals.id_test %>?ar=0&cutoff=80');
  });

  $("#watch-plag-question").click(function(){
    for (let question of questions){
      window.open(`/test/instances/plagiarism/test/<%= locals.id_test %>/question/${question}?ar=0&cutoff=80`);
    }
  });
</script>